Bug 821765 - iwhd: Gnulib bundled but no bundled(gnulib) provides
iwhd: Gnulib bundled but no bundled(gnulib) provides
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: iwhd (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jim Meyering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-15 09:53 EDT by Mikolaj Izdebski
Modified: 2013-03-13 16:41 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.5-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-07 06:54:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikolaj Izdebski 2012-05-15 09:53:55 EDT
A bundled copy of Gnulib - The GNU Portability Library [1] was found in
iwhd. No Bundled Libraries section [2] of Packaging guidelines
gives more information on bundled libraries and how they should be handled.

Affected iwhd version: iwhd-1.5-1.fc18

As a kind of copylib, Gnulib has been granted an exception. However, to comply
with Packaging guidelines, packages bundling Gnulib must note that the library
has been granted an exception in the spec file comment with a link to the FPC
ticket where the exception was granted and add a virtual provide to the spec
file to note that Gnulib is bundled. Refer to [2] for more details.

No comment about bundling Gnulib and no virtual provide were found in the
iwhd.spec file. To comply with the packaging guideliness please
add an appropriate comment to the spec file as well as a virtual provide.

Source tarball where bundled Gnulib was found:
    iwhd-1.5.tar.xz

At least the following files look like Gnulib files:
    ./iwhd-1.5/m4/00gnulib.m4
    ./iwhd-1.5/m4/gnulib-comp.m4
    ./iwhd-1.5/lib/gnulib.mk
    ./iwhd-1.5/lib/Makefile.in
    ./iwhd-1.5/gnulib-tests/gnulib.mk
    ./iwhd-1.5/gnulib-tests/Makefile.in

There are most likely more Gnulib files bundled in the SRPM. I didn't bother
to list them all as it shouldn't be necessary.


[1] http://www.gnu.org/software/gnulib/
[2] http://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries
Comment 1 Jim Meyering 2012-05-15 12:15:31 EDT
Thanks.
Done via iwhd-1.5-2.fc18 for rawhide.

Note You need to log in before you can comment on or make changes to this bug.